<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="classCatch_1_1AssertionHandler.html">AssertionHandler</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Catch::AssertionHandler Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#a193bb3999494c46457f3059184c6b251">allowThrows</a>() const -&gt; bool</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#a193bb3999494c46457f3059184c6b251">allowThrows</a>() const -&gt; bool</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#a32efbb1b56b71d758d4c2094bac1f1a9">AssertionHandler</a>(StringRef const &amp;macroName, SourceLineInfo const &amp;lineInfo, StringRef capturedExpression, ResultDisposition::Flags resultDisposition)</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#a32efbb1b56b71d758d4c2094bac1f1a9">AssertionHandler</a>(StringRef const &amp;macroName, SourceLineInfo const &amp;lineInfo, StringRef capturedExpression, ResultDisposition::Flags resultDisposition)</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#a878a9eb828d8a1863c8dcb6575f6f40e">complete</a>()</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#a878a9eb828d8a1863c8dcb6575f6f40e">complete</a>()</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#a51e4936e3af43b74690cedae6d2e297a">handleExceptionNotThrownAsExpected</a>()</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#a51e4936e3af43b74690cedae6d2e297a">handleExceptionNotThrownAsExpected</a>()</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#ab6caf765764a4064e90fce829eec201d">handleExceptionThrownAsExpected</a>()</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#ab6caf765764a4064e90fce829eec201d">handleExceptionThrownAsExpected</a>()</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#a2ef387e567bad90ec6e4b5bf5c367388">handleExpr</a>(ExprLhs&lt; T &gt; const &amp;expr)</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#afe14d9cf1b1c7f70dae439fbdb51d0c4">handleExpr</a>(ITransientExpression const &amp;expr)</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#a2ef387e567bad90ec6e4b5bf5c367388">handleExpr</a>(ExprLhs&lt; T &gt; const &amp;expr)</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#afe14d9cf1b1c7f70dae439fbdb51d0c4">handleExpr</a>(ITransientExpression const &amp;expr)</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#abdb4c180ed83ec2858b2fb87712c516d">handleMessage</a>(ResultWas::OfType resultType, StringRef const &amp;message)</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#abdb4c180ed83ec2858b2fb87712c516d">handleMessage</a>(ResultWas::OfType resultType, StringRef const &amp;message)</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#a67a194d5518f307c4a16faa03a7f7442">handleThrowingCallSkipped</a>()</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#a67a194d5518f307c4a16faa03a7f7442">handleThrowingCallSkipped</a>()</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#a7764d0adb6ed5eeb10964f6abc02fab1">handleUnexpectedExceptionNotThrown</a>()</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#a7764d0adb6ed5eeb10964f6abc02fab1">handleUnexpectedExceptionNotThrown</a>()</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#aa2504dad6a91f3645e5f52c932c11270">handleUnexpectedInflightException</a>()</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#aa2504dad6a91f3645e5f52c932c11270">handleUnexpectedInflightException</a>()</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#ad171e8724bb771d97949b7270f400303">m_assertionInfo</a></td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#a5a756818dff781c155e8eb970d1d4c68">m_completed</a></td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#a8203c08a43a3761b5f400ee6587fad55">m_reaction</a></td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#ac6a940d4ccfc2540511d6b261338862c">m_resultCapture</a></td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#a6756bd5395c0ddd28764a9fb4612d5e4">setCompleted</a>()</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#a6756bd5395c0ddd28764a9fb4612d5e4">setCompleted</a>()</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#a1e839d810f6ac0fa6d127fe8350175ed">~AssertionHandler</a>()</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html#a1e839d810f6ac0fa6d127fe8350175ed">~AssertionHandler</a>()</td><td class="entry"><a class="el" href="classCatch_1_1AssertionHandler.html">Catch::AssertionHandler</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
